package samples.subsystems;

import org.eclipse.core.runtime.IProgressMonitor;

import com.ibm.etools.systems.subsystems.SubSystem;
import com.ibm.etools.systems.subsystems.impl.AbstractSystem;

/**
 * Our system class that manages connecting to, and disconnecting from, our
 *  remote server-side code.
 */
public class DeveloperSystem extends AbstractSystem
{
	private boolean connected = false;

	/**
	 * Constructor for DeveloperSystem.
	 * @param subsystem
	 */
	public DeveloperSystem(SubSystem subsystem)
	{
		super(subsystem);
	}

	/**
	 * @see com.ibm.etools.systems.subsystems.ISystem#isConnected()
	 */
	public boolean isConnected()
	{
		return connected;
	}

	/**
	 * @see com.ibm.etools.systems.subsystems.ISystem#connect(IProgressMonitor)
	 */
	public void connect(IProgressMonitor monitor) throws Exception
	{
		// pretend. Normally, we'd connect to our remote server-side code here
		connected = true;
	}

	/**
	 * @see com.ibm.etools.systems.subsystems.ISystem#disconnect()
	 */
	public void disconnect() throws Exception
	{
		// pretend. Normally, we'd disconnect from our remote server-side code here
		connected = false;
	}

}
